import java.util.Scanner;
import java.util.Random;

public class CopyOfMain {

    public static void main(String[] args) {

        // Create random number from range of 0 to 100.
        Random rand = new Random();
        int mysteryNum = rand.nextInt(101);

        // Log number of user inputs.
        int userAttempts = 1;

        boolean[] alreadyGuess = new boolean[101];
        
        int userGuess;
        // int prevGuess = 101;

        // Continue looping infinitely until correct answer is passed. Count each attempt.
        do {
            for (; ; userAttempts++) {
                Scanner input = new Scanner(System.in);

                System.out.println("What positive integer between 0 and 100 am I thinking of?");
                userGuess = input.nextInt();

                System.out.println("You guessed: " + userGuess);

                // Check what the mystery number is. (personal use for testing)
                // System.out.println(mysteryNum);

                // Empty variable for storing the previous guess to compare.


                // Conditionals (correct, too high, too low, same guess, out of bounds)

                if (mysteryNum == userGuess) {
                    System.out.println("Correct! Number of attempts: " + userAttempts);
                    break;
                } else if (userGuess > 100 || userGuess < 0) {
                    System.out.println("Is that number between 0 and 100?");
                } else if (alreadyGuess[userGuess] == true) {
                    System.out.println("You already guessed that number!");
                    userAttempts -= 1;
                } else if (mysteryNum > userGuess) {
                    System.out.println("Too low! Try again!");
                } else if (mysteryNum < userGuess) {
                    System.out.println("Too high! Try again!");
                }

                // Save previous guess for comparison.
                // prevGuess = userGuess;
                alreadyGuess[userGuess] = true;
            }

        } while (mysteryNum != userGuess);
    }
}
